LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XImageButton Interface Referencepublished

makes it possible to register for action events of an image button and sets the action command. More...

`import <XImageButton.idl;`

Inheritance diagram for XImageButton:

## Public Member Functions
void | addActionListener ([in] com::sun::star::awt::XActionListener l)
| registers a listener for action events.
void | removeActionListener ([in] com::sun::star::awt::XActionListener l)
| unregisters a listener for action events.
void | setActionCommand ([in] string Command)
| sets the action command string.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

makes it possible to register for action events of an image button and sets the action command.

## Member Function Documentation

## ◆ addActionListener()

void addActionListener | ( | [in] com::sun::star::awt::XActionListener | l | ) |

registers a listener for action events.

## ◆ removeActionListener()

void removeActionListener | ( | [in] com::sun::star::awt::XActionListener | l | ) |

unregisters a listener for action events.

## ◆ setActionCommand()

void setActionCommand | ( | [in] string | Command | ) |

sets the action command string.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XImageButton.idl